> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change User Password

> Changes a user's password to the provided new password



## OpenAPI

````yaml /openapi/openapi_user.json post /platform/adminuser/accounts/{userId}/Change-User-Password
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Admin User Service
  title: Admin User
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/adminuser/accounts/{userId}/Change-User-Password:
    post:
      tags:
        - AdminUser
      summary: Change User Password
      description: Changes a user's password to the provided new password
      parameters:
        - description: Unique identifier of the user for whom to change the password.
          in: path
          name: userId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeUserPasswordInfo'
        description: New password info for this user
      responses:
        '200':
          description: OK
components:
  schemas:
    ChangeUserPasswordInfo:
      properties:
        newPassword:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````